Skip to main content
Version: 2025-12-18

Submit a list of RIDs for positive or negative reconciliation

POST 

/demand/accounts/{account_id}/reconciliations

Submits a CSV file of respondent IDs and reason codes to be reconciled. This file can contain a mixture of positive and negative reconciliations. Reconciliation can be submitted when target group is in Live or Paused or Complete status.

This action creates an asynchronous job to process the file. A 202 Accepted response indicates that the file has been successfully queued for processing. You can use the request_id returned in the response body to track the status of the job.

Key behaviors:

  • File Format: The file must be a CSV with no header row. Each line must contain a respondent ID and a reason code, separated by a comma.
  • File Size: The file can contain up to 100,000 rows.

Request

Responses

Accepted reconciliation request for processing.